package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComEvaluationValue;
import com.yiboshi.science.param.dto.ComEvaluationValueDTO;
import com.yiboshi.science.param.query.ComEvaluationValueQueryVO;

import java.util.List;

/**
 * 评审分值表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComEvaluationValueService extends BaseService<ComEvaluationValueQueryVO, ComEvaluationValueDTO, ComEvaluationValue> {

    List<ComEvaluationValueDTO> getEvaluationValueByObjectId(String id);

    String insertEvaluationValue(ComEvaluationValueDTO dto);

    String updateEvaluationValue(ComEvaluationValueDTO dto);

    String deleteEvaluationValue(String id);
}